@use 'variable' as *;

.intro {
  margin-bottom: 95px;

  &__container {
    background: #ffffff;
    border-radius: 10px;
    padding: 37px 10px;

    box-shadow: 0 42px 114px 0 rgba(13, 16, 37, 0.064);

    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    min-height: 200px;
  }

  &__item {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0 36.5px;
  }

  &__title {
    padding-bottom: 5px;
    font-size: $font-size--extra-medium;
    line-height: calc(30 / 25);
  }

  &__text {
    font-size: 20px;
    line-height: calc(30 / 20);
  }
}

@media screen and (min-width: 768px) {
  .intro__item:nth-child(2) {
    border-left: 2px solid #eeeff2;
    border-right: 2px solid #eeeff2;
  }
}

@media screen and (max-width: 767px) {
  .intro {
    margin-bottom: 50px;
  }

  .intro__container {
    grid-template-columns: 100%;
    padding: 30px;
    grid-gap: 50px 0;
  }

  .intro__item {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-left: 50%;
    transform: translateX(-50%);
  }

  .intro__icon {
    & > img {
      display: block;
      max-width: fit-content;
    }
  }
}
